Bug 8059 - Installing Tekram DC390 SCSI Controller module
Installing Tekram DC390 SCSI Controller module
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 1999-12-29 23:09 EST by gtmanning
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-24 15:54:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description gtmanning 1999-12-29 23:09:40 EST
I have an IBM Aptiva with one IDE drive and controller that
already had redhat 6.0 running.  I just installed a TEKRAM
DC390 SCSI2 controller card into a PCI slot.  The BIOS for
the TEKRAM loads during bootup, using IRQ 11, BUS #00 DEV #0F
and IOPORT 7400h. When linux boots, it does not see the card, so I spent
time researching, and found out I need to load a module into the
kernel.  So, I ran control-panel command, for kerneld.  When
I Add a scsi_hostadapter, there is NO "tmscsim" module in the list.
I need to load tmscsim.o to support the TEKRAM DC 390.  So
I used modprobe to load it, but don't think it worked right.
How do I know if it is seeing my controller card?  When I reboot, it
still does not see the card.
There is no probe-scsi command in Linux.  Below is /etc/conf.modules
options scsi_hostadapter tmscsim=7,10    (address,speed)
alias scsi_hostadapter tmscsim

Comment 1 Cristian Gafton 2000-01-27 03:12:59 EST
assigned to kernel
Comment 2 Stephen John Smoogen 2003-01-24 15:54:55 EST
This bug seems to have been fixed in the time since 6.0 that it was reported. To
answer the questions above.

In the current release you would check to see if a kernel module had been loaded
with the lsmod command. To see if any scsi objects were seen you can use a 
cat /proc/scsi/scsi command which will show if the scsi bus sees hard-drives etc
in the machine.

Note You need to log in before you can comment on or make changes to this bug.